Package uk.ac.starlink.topcat.interop

# Class TableSendActionManager

java.lang.Object
org.astrogrid.samp.gui.SendActionManager
org.astrogrid.samp.gui.AbstractCallActionManager
org.astrogrid.samp.gui.IndividualCallActionManager
uk.ac.starlink.topcat.interop.TableSendActionManager

All Implemented Interfaces:
  `Transmitter`

public class TableSendActionManager extends org.astrogrid.samp.gui.IndividualCallActionManager implements Transmitter
SendActionManager which will transmit a table. A selection of table formats (table.load.*) is available as required - currently only votable and fits are offered, but it is a one-liner to add other supported formats.

Since:
  4 Dec 2008
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class org.astrogrid.samp.gui.SendActionManager

`BROADCAST_TARGET`

## Constructor Summary

Constructors
Constructor
Description
`TableSendActionManager(org.astrogrid.samp.gui.GuiHubConnector connector, TopcatSampControl sampControl)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Action`
`createBroadcastAction()`
`protected org.astrogrid.samp.Message`
`createMessage(org.astrogrid.samp.Client client)`
`JMenu`
`createSendMenu()`
Returns a per-application menu which allows sending the information to any single one of the appropriate recipients.
`static org.astrogrid.samp.httpd.ServerResource`
`createTableResource(uk.ac.starlink.table.StarTable table, uk.ac.starlink.table.StarTableWriter writer)`
Obtains a (somewhat) persistent resource object via which a table can be made available to external processes.
`Action`
`getSendAction(org.astrogrid.samp.Client client)`

### Methods inherited from class org.astrogrid.samp.gui.AbstractCallActionManager

`createResultHandler, createTag, dispose, registerHandler`

### Methods inherited from class org.astrogrid.samp.gui.SendActionManager

`createSendMenu, createTargetAction, createTargetSelector, disposeSendMenu, getBroadcastAction, getBroadcastIcon, getClientListModel, getConnector, getSendIcon, setEnabled, updateState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.topcat.interop.Transmitter

`getBroadcastAction, setEnabled`

## Constructor Details

### TableSendActionManager

public TableSendActionManager(org.astrogrid.samp.gui.GuiHubConnector connector, TopcatSampControl sampControl)
Constructor.

Parameters:
  `connector` - hub connector
  `sampControl` - TOPCAT SAMP control object

## Method Details

### createMessage

protected org.astrogrid.samp.Message createMessage(org.astrogrid.samp.Client client) throws IOException

Specified by:
  `createMessage` in class `org.astrogrid.samp.gui.IndividualCallActionManager`
Throws:
  `IOException`

### createBroadcastAction

public Action createBroadcastAction()

Overrides:
  `createBroadcastAction` in class `org.astrogrid.samp.gui.IndividualCallActionManager`

### getSendAction

public Action getSendAction(org.astrogrid.samp.Client client)

Overrides:
  `getSendAction` in class `org.astrogrid.samp.gui.AbstractCallActionManager`

### createSendMenu

public JMenu createSendMenu()
Description copied from interface: `Transmitter`
Returns a per-application menu which allows sending the information to any single one of the appropriate recipients.

Specified by:
  `createSendMenu` in interface `Transmitter`
Returns:
  send menu

### createTableResource

public static org.astrogrid.samp.httpd.ServerResource createTableResource(uk.ac.starlink.table.StarTable table, uk.ac.starlink.table.StarTableWriter writer)
Obtains a (somewhat) persistent resource object via which a table can be made available to external processes.

Parameters:
  `table` - table
  `writer` - table serializer
Returns:
  servable resource